Author Topic: OpenGLES 3.0+  (Read 144 times)

Offline AeroShark333

  • long
  • ***
  • Posts: 152
    • View Profile
OpenGLES 3.0+
« on: November 14, 2017, 05:30:46 pm »
Hello,

I have some questions regarding the OpenGLES version that jPCT supports or can support.
-> Will OpenGLES 3.0 be supported any time soon by jPCT-AE?
-> Will OpenGLES 3.1 be supported any time soon by jPCT-AE?
-> Will OpenGLES 3.2 be supported any time soon by jPCT-AE?
-> Since OpenGLES 3.0 is backwards compatible, wouldn't it be possible to render applications that now use OpenGLES2.0 using OpenGLES3.0 with some performance increase without changing too much to the jPCT-AE libary?

Cheers,
AeroShark333

Offline EgonOlsen

  • Administrator
  • quad
  • *****
  • Posts: 11777
    • View Profile
    • http://www.jpct.net
Re: OpenGLES 3.0+
« Reply #1 on: November 14, 2017, 06:27:49 pm »
You should be able to use the GL 2.0 renderer in a 3.0 context. After all, you create the context, not jPCT-AE. Then again, I'm not sure what it would be worth to do that.

Offline AeroShark333

  • long
  • ***
  • Posts: 152
    • View Profile
Re: OpenGLES 3.0+
« Reply #2 on: November 16, 2017, 03:47:43 pm »
I suppose using GLSurfaceView.setEGLContextClientVersion(3); ?

But would it make any difference using jPCT-AE?

Offline EgonOlsen

  • Administrator
  • quad
  • *****
  • Posts: 11777
    • View Profile
    • http://www.jpct.net
Re: OpenGLES 3.0+
« Reply #3 on: November 16, 2017, 04:37:23 pm »
No, not at all.